Subject: Re: [PATCH] kptr_restrict for hiding kernel pointers from unprivileged users

From: Dan Rosenberg <[email-masked]>
Date: Thu, 09 Dec 2010 06:51:12 -0500

> 
> Thanks for not giving credits to people suggesting this idea to you
> (Thomas if I remember well), and not Ccing netdev where original
> discussion took place. 
> 

I am happy to credit Thomas, even though he is far from the first person
to have suggested this approach to me.  Thanks for the suggestion.

> 
> So caller can not block BH ?
> 
> This seems wrong to me, please consider :
> 
> normal process context :
> 
> spin_lock_bh() ...
> 
> for (...)  
> 	{xxx}printf( ...   "%pK"   ...)
> 
> spin_unlock_bh();
> 

I will think about this and address it.

-Dan